## qasmixer 0.14.0

=== CMakeLists.txt ===

CMAKE_MINIMUM_REQUIRED ( VERSION 2.8 )


# Select a default build type

IF ( NOT CMAKE_BUILD_TYPE )
	SET ( CMAKE_BUILD_TYPE Release )
ENDIF ( NOT CMAKE_BUILD_TYPE )


# Program name

IF ( NOT PROGRAM_TITLE )
	SET ( PROGRAM_TITLE QasMixer )
ENDIF ( NOT PROGRAM_TITLE )

IF ( NOT PROGRAM_NAME )
	SET ( PROGRAM_NAME qasmixer )
ENDIF ( NOT PROGRAM_NAME )


# Program version

SET ( VERSION_MAJOR "0" )
SET ( VERSION_MINOR "14" )
SET ( VERSION_PATCH "0" )

SET ( VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}" )


#
# Installation directories
#

IF ( NOT INSTALL_DIR_BIN )
	SET ( INSTALL_DIR_BIN "bin" )
ENDIF ( NOT INSTALL_DIR_BIN )

IF ( NOT INSTALL_DIR_MAN )
	SET ( INSTALL_DIR_MAN "share/man/man1" )
ENDIF ( NOT INSTALL_DIR_MAN )

IF ( NOT INSTALL_DIR_DESKTOP )
	SET ( INSTALL_DIR_DESKTOP "share/applications" )
ENDIF ( NOT INSTALL_DIR_DESKTOP )


IF ( NOT INSTALL_DIR_DATA )
	SET ( INSTALL_DIR_DATA "share/${PROGRAM_NAME}" )
ENDIF ( NOT INSTALL_DIR_DATA )

IF ( NOT INSTALL_DIR_L10N )
	SET ( INSTALL_DIR_L10N "${INSTALL_DIR_DATA}/l10n" )
ENDIF ( NOT INSTALL_DIR_L10N )

IF ( NOT INSTALL_DIR_APP_ICONS )
	SET ( INSTALL_DIR_APP_ICONS "${INSTALL_DIR_DATA}/icons" )
ENDIF ( NOT INSTALL_DIR_APP_ICONS )

IF ( NOT INSTALL_DIR_WIDGETS_GRAPHICS )
	SET ( INSTALL_DIR_WIDGETS_GRAPHICS "${INSTALL_DIR_DATA}/widgets" )
ENDIF ( NOT INSTALL_DIR_WIDGETS_GRAPHICS )


# Icon installation directories

IF ( NOT INSTALL_DIR_ICONS_PNG_16 )
	SET ( INSTALL_DIR_ICONS_PNG_16 "share/icons/hicolor/16x16/apps" )
ENDIF ( NOT INSTALL_DIR_ICONS_PNG_16 )

IF ( NOT INSTALL_DIR_ICONS_PNG_32 )
	SET ( INSTALL_DIR_ICONS_PNG_32 "share/icons/hicolor/32x32/apps" )
ENDIF ( NOT INSTALL_DIR_ICONS_PNG_32 )

IF ( NOT INSTALL_DIR_ICONS_PNG_48 )
	SET ( INSTALL_DIR_ICONS_PNG_48 "share/icons/hicolor/48x48/apps" )
ENDIF ( NOT INSTALL_DIR_ICONS_PNG_48 )

IF ( NOT INSTALL_DIR_ICONS_PNG_64 )
	SET ( INSTALL_DIR_ICONS_PNG_64 "share/icons/hicolor/64x64/apps" )
ENDIF ( NOT INSTALL_DIR_ICONS_PNG_64 )

IF ( NOT INSTALL_DIR_ICONS_SVG )
	SET ( INSTALL_DIR_ICONS_SVG "share/icons/hicolor/scalable/apps" )
ENDIF ( NOT INSTALL_DIR_ICONS_SVG )


# Installation

IF ( NOT SKIP_LICENSE_INSTALL )
	INSTALL( FILES "COPYING"
		DESTINATION ${INSTALL_DIR_DATA} )
ENDIF ( NOT SKIP_LICENSE_INSTALL )


# Process subdirectories

ADD_SUBDIRECTORY ( src )
ADD_SUBDIRECTORY ( graphics )
ADD_SUBDIRECTORY ( share )
ADD_SUBDIRECTORY ( i18n )
ADD_SUBDIRECTORY ( doc )

=== doc/CMakeLists.txt ===

CMAKE_MINIMUM_REQUIRED ( VERSION 2.8 )


#
# Manapges
#

ADD_SUBDIRECTORY ( man )

=== graphics/CMakeLists.txt ===

CMAKE_MINIMUM_REQUIRED ( VERSION 2.8 )


# Install application icons

INSTALL( FILES icons/app-icon-16x16.png
	DESTINATION ${INSTALL_DIR_ICONS_PNG_16}
	RENAME ${PROGRAM_NAME}.png )

INSTALL( FILES icons/app-icon-32x32.png
	DESTINATION ${INSTALL_DIR_ICONS_PNG_32}
	RENAME ${PROGRAM_NAME}.png )

INSTALL( FILES icons/app-icon-48x48.png
	DESTINATION ${INSTALL_DIR_ICONS_PNG_48}
	RENAME ${PROGRAM_NAME}.png )

INSTALL( FILES icons/app-icon-64x64.png
	DESTINATION ${INSTALL_DIR_ICONS_PNG_64}
	RENAME ${PROGRAM_NAME}.png )

INSTALL( FILES icons/app-icon.svg
	DESTINATION ${INSTALL_DIR_ICONS_SVG}
	RENAME ${PROGRAM_NAME}.svg )


# Install simple mixer icons

INSTALL ( FILES icons/show-playback.svg
	DESTINATION ${INSTALL_DIR_APP_ICONS} )
INSTALL ( FILES icons/show-capture.svg
	DESTINATION ${INSTALL_DIR_APP_ICONS} )


# Install widgets graphics

FILE ( GLOB switch_icons "widgets/sw_joined_bg_*.svg" )
FOREACH ( switch_icon ${switch_icons} )
	INSTALL ( FILES ${switch_icon}
		DESTINATION ${INSTALL_DIR_WIDGETS_GRAPHICS} )
ENDFOREACH( switch_icon )


FILE ( GLOB switch_icons "widgets/sw_joined_handle_*.svg" )
FOREACH ( switch_icon ${switch_icons} )
	INSTALL ( FILES ${switch_icon}
		DESTINATION ${INSTALL_DIR_WIDGETS_GRAPHICS} )
ENDFOREACH( switch_icon )

=== src/CMakeLists.txt ===

CMAKE_MINIMUM_REQUIRED ( VERSION 2.8 )

INCLUDE ( CheckIncludeFiles )

CONFIGURE_FILE (
	${CMAKE_CURRENT_SOURCE_DIR}/config.hpp.cmake
	${CMAKE_CURRENT_BINARY_DIR}/config.hpp )


SET ( SRC_GUI

	dpe/image.cpp
	dpe/image_set_meta.cpp
	dpe/image_set.cpp
	dpe/image_set_group.cpp
	dpe/image_set_state.cpp
	dpe/image_request.cpp
	dpe/image_allocator.cpp
	dpe/is_buffer_handle.cpp
	dpe/is_buffer.cpp
	dpe/paint_job.cpp
	dpe/painter.cpp
	dpe/painter_simple.cpp
	dpe/painter_thread.cpp
	dpe/painter_thread_shared.cpp

	wdg/static_tree.cpp
	wdg/static_tree_model.cpp

	wdg/covered_input.cpp
	wdg/covered_spinbox.cpp
	wdg/label_elide.cpp
	wdg/label_width.cpp
	wdg/text_browser.cpp
	wdg/tree_view_kv.cpp
	wdg/scroll_area_horizontal.cpp
	wdg/scroll_area_vertical.cpp
	wdg/balloon_widget.cpp

	wdg/color_methods.cpp

	wdg/ds_widget_style_db.cpp
	wdg/ds_widget_painter.cpp
	wdg/ds_imaging.cpp
	wdg/ds_switch_painter_circle.cpp
	wdg/ds_switch_painter_close.cpp
	wdg/ds_switch_painter_svg.cpp
	wdg/ds_switch.cpp

	wdg/uint_mapper.cpp
	wdg/cubic_curve.cpp
	wdg/ds_slider_meta_bg.cpp
	wdg/ds_slider_painter_bevelled.cpp
	wdg/ds_slider.cpp

	#slider_test.cpp
	#slider_test_dialog.cpp

	wdg/event_types.cpp
	wdg/pad_focus_info.cpp
	wdg/pass_events.cpp

	wdg/layout_weights.cpp
	wdg/equal_columns_layout_group.cpp
	wdg/equal_columns_layout.cpp
	wdg/fill_columns_layout.cpp

	wdg/sliders_pad_proxy.cpp
	wdg/sliders_pad_proxy_style.cpp
	wdg/sliders_pad_proxy_slider.cpp
	wdg/sliders_pad_proxy_switch.cpp
	wdg/sliders_pad_proxies_column.cpp
	wdg/sliders_pad_proxies_group.cpp
	wdg/sliders_pad_layout.cpp
	wdg/sliders_pad_style.cpp
	wdg/sliders_pad_data.cpp
	wdg/sliders_pad_header_data.cpp
	wdg/sliders_pad_header.cpp
	wdg/sliders_pad_footer.cpp
	wdg/sliders_pad.cpp

	wdg/switches_area.cpp
	wdg/switches_pad_proxy.cpp
	wdg/switches_pad_proxy_enum.cpp
	wdg/switches_pad_proxy_switch.cpp
	wdg/switches_pad_proxies_group.cpp
	wdg/switches_pad_widgets.cpp
	wdg/switches_pad_widgets_group.cpp
	wdg/switches_pad.cpp

	qsnd/alsa.cpp
	qsnd/alsa_config_model.cpp
	qsnd/event_types.cpp
	qsnd/ctl_info.cpp
	qsnd/ctl_info_model.cpp

	qsnd/mixer_ctl_info_db.cpp
	qsnd/mixer_ctl_elem.cpp
	qsnd/mixer_ctl_elem_group.cpp
	qsnd/mixer_ctl.cpp
	qsnd/mixer_simple_elem.cpp
	qsnd/mixer_simple_filter.cpp
	qsnd/mixer_simple_filter_name.cpp
	qsnd/mixer_simple.cpp

	qsnd/control_address_arg.cpp
	qsnd/control_address.cpp
	qsnd/card_info.cpp
	qsnd/pcm_device_info.cpp

	mwdg/event_types.cpp
	mwdg/alsa_config_view.cpp
	mwdg/controls_model.cpp
	mwdg/controls_view.cpp
	mwdg/controls_view_setup.cpp

	mwdg/inputs_setup.cpp
	mwdg/mixer_device_setup.cpp
	mwdg/mixer_simple_setup.cpp
	mwdg/mixer_gui_state.cpp
	mwdg/mixer_separation_info.cpp

	mwdg/slider_status_widget.cpp

	mwdg/mixer_ctl_tree_model.cpp
	mwdg/mixer_ctl_table_model.cpp
	mwdg/mixer_ctl_proxy.cpp
	mwdg/mixer_ctl_proxy_switch.cpp
	mwdg/mixer_ctl_proxy_enum.cpp
	mwdg/mixer_ctl_proxies_group.cpp
	mwdg/mixer_ctl_int_proxies_group.cpp
	mwdg/mixer_ctl_int_proxy_column.cpp
	mwdg/mixer_ctl_int_proxy_slider.cpp
	mwdg/mixer_ctl_int_proxy_switch.cpp
	mwdg/mixer_ctl_slider_status_widget.cpp
	mwdg/mixer_ctl_editor.cpp
	mwdg/mixer_ctl_editor_data.cpp
	mwdg/mixer_ctl_edit_bool.cpp
	mwdg/mixer_ctl_edit_enum.cpp
	mwdg/mixer_ctl_edit_int.cpp
	mwdg/mixer_ctl_edit_unsupported.cpp
	mwdg/mixer_ctl.cpp

	mwdg/mixer_sliders_proxy_slider.cpp
	mwdg/mixer_sliders_proxy_switch.cpp
	mwdg/mixer_sliders_proxies_column.cpp
	mwdg/mixer_sliders_proxies_group.cpp
	mwdg/mixer_sliders_status_widget.cpp
	mwdg/mixer_sliders.cpp

	mwdg/mixer_switches_proxy_enum.cpp
	mwdg/mixer_switches_proxy_switch.cpp
	mwdg/mixer_switches_proxies_group.cpp
	mwdg/mixer_switches.cpp

	tray_mixer_mdev_setup.cpp
	tray_mixer_view_setup.cpp

	mview/dev_select_view_setup.cpp
	mview/dev_select_view.cpp
	mview/info_view.cpp
	mview/alsa_config_view_setup.cpp
	mview/alsa_config_view.cpp
	mview/settings_view_setup.cpp
	mview/settings_view.cpp

	mview/message_widget.cpp
	mview/mv_base.cpp
	mview/mv_base_setup.cpp
	mview/mv_mixer_simple.cpp
	mview/mv_mixer_simple_setup.cpp
	mview/mv_mixer_ctl.cpp
	mview/mv_mixer_ctl_setup.cpp
	mview/mv_info.cpp
	mview/mv_info_setup.cpp
	mview/switcher.cpp
	mview/switcher_setup.cpp

	tray_mixer_icon.cpp
	tray_mixer_balloon.cpp
	tray_mixer.cpp
	mixer_window_setup.cpp
	mixer_window.cpp
	cmd_options.cpp
	desktop_items_setup.cpp
	desktop_items.cpp

	unix_signal_handler.cpp
	single_application.cpp
	init_globals.cpp
	info_texts.cpp
	main.cpp
)


SET ( SRC_GUI_HEADER_MOC

	dpe/is_buffer.hpp
	dpe/image_allocator.hpp

	wdg/covered_input.hpp
	wdg/covered_spinbox.hpp
	wdg/tree_view_kv.hpp
	wdg/ds_slider.hpp
	wdg/ds_switch.hpp
	wdg/balloon_widget.hpp

	#slider_test.hpp
	#slider_test_dialog.hpp

	wdg/sliders_pad_proxy.hpp
	wdg/sliders_pad_proxy_slider.hpp
	wdg/sliders_pad_proxy_switch.hpp
	wdg/sliders_pad_proxies_column.hpp
	wdg/sliders_pad_proxies_group.hpp
	wdg/sliders_pad_data.hpp
	wdg/sliders_pad_header.hpp
	wdg/sliders_pad_footer.hpp
	wdg/sliders_pad.hpp

	wdg/switches_pad_proxy.hpp
	wdg/switches_pad_proxy_enum.hpp
	wdg/switches_pad_proxy_switch.hpp
	wdg/switches_pad_proxies_group.hpp
	wdg/switches_pad.hpp

	qsnd/alsa_config_model.hpp
	qsnd/ctl_info.hpp
	qsnd/ctl_info_model.hpp
	qsnd/mixer_ctl_elem.hpp
	qsnd/mixer_ctl.hpp
	qsnd/mixer_simple_elem.hpp
	qsnd/mixer_simple.hpp

	mwdg/alsa_config_view.hpp
	mwdg/controls_model.hpp
	mwdg/controls_view.hpp
	mwdg/slider_status_widget.hpp

	mwdg/mixer_ctl_tree_model.hpp
	mwdg/mixer_ctl_table_model.hpp
	mwdg/mixer_ctl_proxy.hpp
	mwdg/mixer_ctl_proxy_switch.hpp
	mwdg/mixer_ctl_proxy_enum.hpp
	mwdg/mixer_ctl_proxies_group.hpp
	mwdg/mixer_ctl_int_proxies_group.hpp
	mwdg/mixer_ctl_int_proxy_column.hpp
	mwdg/mixer_ctl_int_proxy_slider.hpp
	mwdg/mixer_ctl_int_proxy_switch.hpp
	mwdg/mixer_ctl_slider_status_widget.hpp
	mwdg/mixer_ctl_editor.hpp
	mwdg/mixer_ctl_edit_bool.hpp
	mwdg/mixer_ctl_edit_enum.hpp
	mwdg/mixer_ctl_edit_int.hpp
	mwdg/mixer_ctl_edit_unsupported.hpp
	mwdg/mixer_ctl.hpp

	mwdg/mixer_sliders_proxy_slider.hpp
	mwdg/mixer_sliders_proxy_switch.hpp
	mwdg/mixer_sliders_proxies_column.hpp
	mwdg/mixer_sliders_proxies_group.hpp
	mwdg/mixer_sliders_status_widget.hpp
	mwdg/mixer_sliders.hpp

	mwdg/mixer_switches_proxy_enum.hpp
	mwdg/mixer_switches_proxy_switch.hpp
	mwdg/mixer_switches_proxies_group.hpp
	mwdg/mixer_switches.hpp

	single_application.hpp

	mview/dev_select_view.hpp
	mview/info_view.hpp
	mview/alsa_config_view.hpp
	mview/settings_view.hpp

	mview/message_widget.hpp
	mview/mv_base.hpp
	mview/mv_mixer_simple.hpp
	mview/mv_mixer_ctl.hpp
	mview/mv_info.hpp
	mview/switcher.hpp

	tray_mixer_icon.hpp
	tray_mixer_balloon.hpp
	tray_mixer.hpp
	mixer_window.hpp
	desktop_items.hpp

	unix_signal_handler.hpp
)


ADD_DEFINITIONS ( "-Wextra -Wunused -Wall" )

SET ( CMAKE_CXX_FLAGS_DEBUG "-O0 -g -DDEBUG -fno-inline" )
SET ( CMAKE_CXX_FLAGS_RELEASE "-O2 -DNDEBUG -Wl,--as-needed" )


# Find modules

SET ( QT_USE_QTCORE TRUE )
SET ( QT_USE_QTGUI TRUE )
SET ( QT_USE_QTSVG TRUE )
SET ( QT_USE_QTNETWORK TRUE )

FIND_PACKAGE ( Qt4 4.6 REQUIRED )
FIND_PACKAGE ( ALSA REQUIRED )


# QT stuff

INCLUDE ( ${QT_USE_FILE} )

QT4_WRAP_CPP ( SRC_GUI_MOC ${SRC_GUI_HEADER_MOC} )
QT4_WRAP_CPP ( SRC_EXTRA_MOC ${SRC_EXTRA_HEADER_MOC} )

INCLUDE_DIRECTORIES ( ${CMAKE_CURRENT_SOURCE_DIR} )
INCLUDE_DIRECTORIES ( ${CMAKE_CURRENT_BINARY_DIR} )
INCLUDE_DIRECTORIES ( ${ALSA_INCLUDE_DIRS} )

ADD_EXECUTABLE (
	${PROGRAM_NAME}
	${SRC_GUI}
	${SRC_GUI_MOC}
)

TARGET_LINK_LIBRARIES (
	${PROGRAM_NAME}
	${QT_LIBRARIES}
	${ALSA_LIBRARIES}
)


# Installation

INSTALL (
	TARGETS ${PROGRAM_NAME} RUNTIME
	DESTINATION ${INSTALL_DIR_BIN} )

=== i18n/l10n/CMakeLists.txt ===

CMAKE_MINIMUM_REQUIRED ( VERSION 2.8 )

FILE ( GLOB ts_files "*.ts" )

QT4_ADD_TRANSLATION ( qm_files ${ts_files} )

ADD_CUSTOM_TARGET (
	translations ALL
	DEPENDS ${qm_files} )

INSTALL( FILES ${qm_files}
	DESTINATION ${INSTALL_DIR_L10N} )

=== debian/changelog ===
qasmixer (0.14.0-1) unstable; urgency=low
  * Reduced flicker on a mixer change
  * Minimize to tray removed - fixes disappearing issue in Gnome
  * Balloon style tweaks
  * Balloon closes on click
  * Balloon icon recognizes wheel events (changes the volume)
  * Mouse over tray icon raises the balloon
  * View type toolbar changed to tab selection
  * Playback/capture toolbar buttons moved to the bottom switches area
  * Improved widget focus restoring after a channel join/split
  * Device selection reflects the actual ALSA tree
  * Simplified settings dialog
  * Mixer window restores its former size on startup
  * Multithreaded widget painting (if Qt version allows it)
  * More graphics reuse for a smaller memory footprint
  * QT4 replaced with Qt in the package description (Closes: #635233)

 -- Sebastian Holtermann <sebholt@xwmw.org>  Sat, 17 Sep 2011 22:49:57 +0200

qasmixer (0.12.2-1) unstable; urgency=low
  * cmake required version bumped from 2.6 to 2.8
  * Removed cmake_modules/FindALSA.cmake
  * All qreal types replaced with double type -
    should compile on arm systems now
  * Package description updated

 -- Sebastian Holtermann <sebholt@xwmw.org>  Mon, 11 Jul 2011 12:06:07 +0200

qasmixer (0.12.1-1) unstable; urgency=low

  * Initial public release (Closes: #632642)

 -- Sebastian Holtermann <sebholt@xwmw.org>  Fri, 08 Jul 2011 08:42:01 +0200

=== debian/control ===
Source: qasmixer
Section: sound
Priority: optional
Maintainer: Sebastian Holtermann <sebholt@xwmw.org>
Build-Depends: debhelper (>= 8), cmake, libasound2-dev, libqt4-dev
Standards-Version: 3.9.2
Homepage: http://xwmw.org/qasmixer

Package: qasmixer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ALSA sound mixer with a size adaptive Qt GUI
 QasMixer is a volume mixer application for the Linux sound 
 architecture ALSA. It features a customized Qt GUI with 
 size adaptive slider and checkbox widgets.
 .
 There are more nice features:
  - Multiple soundcard and ALSA CTL plugin support 
  - Simple mixer view (alsamixer)
  - Element detail view (element mixer)
  - Separate or joined channel manipulation
  - Slider decibel/percent value display
  - ALSA configuration tree browser
  - System tray icon support (minimixer)

=== debian/watch ===
version=3
http://sf.net/qasmixer/qasmixer[-_](.+)\.tar\.bz2
